com.jogamp.opengl.util.glsl.sdk

## Class CompileShaderNVidia

- java.lang.Object
- - com.jogamp.opengl.util.glsl.sdk.CompileShader
  - - com.jogamp.opengl.util.glsl.sdk.CompileShaderNVidia

-     public class CompileShaderNVidia
      extends CompileShader

  Precompiles a shader into NVidia binary format. Input is the resource name of the shader, such as "com/jogamp/opengl/impl/glsl/fixed/shader/a.fp". Output is "com/jogamp/opengl/impl/glsl/fixed/shader/bin/nvidia/a.bfp".

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompileShaderNVidia()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBinaryFormat()`
    `String` | `getFragmentShaderCompiler()`
    `File` | `getSDKCompilerDir()`
    `String` | `getVertexShaderCompiler()`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class com.jogamp.opengl.util.glsl.sdk.CompileShader

      `processOneShader, processOneShader, run`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompileShaderNVidia

          public CompileShaderNVidia()

  - ### Method Detail

    - #### getBinaryFormat

          public int getBinaryFormat()

      Specified by:
        `getBinaryFormat` in class `CompileShader`

    - #### getSDKCompilerDir

          public File getSDKCompilerDir()

      Specified by:
        `getSDKCompilerDir` in class `CompileShader`

    - #### getVertexShaderCompiler

          public String getVertexShaderCompiler()

      Specified by:
        `getVertexShaderCompiler` in class `CompileShader`

    - #### getFragmentShaderCompiler

          public String getFragmentShaderCompiler()

      Specified by:
        `getFragmentShaderCompiler` in class `CompileShader`

    - #### main

          public static void main(String[] args)

Copyright 2010 JogAmp Community.